<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hrm',

    /*
     * Package.
     */
    'package'   => 'doc',

    /*
     * Modules.
     */
    'modules'   => ['doc'],

    
    'doc'       => [
        'model' => [
            'model'                 => \Hrm\Doc\Models\Doc::class,
            'table'                 => 'docs',
            'presenter'             => \Hrm\Doc\Repositories\Presenter\DocPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'candidate_id',  'type_id',  'issue_date',  'expiry_date',  'documents',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'doc/doc',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Doc',
            'module'    => 'Doc',
        ],

    ],
];
