<?php

namespace Hrm\Doc;

use User;

class Doc
{
    /**
     * $doc object.
     */
    protected $doc;

    /**
     * Constructor.
     */
    public function __construct(\Hrm\Doc\Interfaces\DocRepositoryInterface $doc)
    {
        $this->doc = $doc;
    }

    /**
     * Returns count of doc.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.doc.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->doc->pushCriteria(new \Litepie\Hrm\Repositories\Criteria\DocUserCriteria());
        }

        $doc = $this->doc->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('doc::' . $view, compact('doc'))->render();
    }
}
