<?php

namespace Hrm\Doc\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DocTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Doc\Models\Doc $doc)
    {
        return [
            'id'                => $doc->getRouteKey(),
            'key'               => [
                'public'    => $doc->getPublicKey(),
                'route'     => $doc->getRouteKey(),
            ], 
            'id'                => $doc->id,
            'candidate_id'      => $doc->candidate_id,
            'type_id'           => $doc->type_id,
            'issue_date'        => $doc->issue_date,
            'expiry_date'       => $doc->expiry_date,
            'documents'         => $doc->documents,
            'created_at'        => $doc->created_at,
            'updated_at'        => $doc->updated_at,
            'deleted_at'        => $doc->deleted_at,
            'url'               => [
                'public'    => trans_url('doc/'.$doc->getPublicKey()),
                'user'      => guard_url('doc/doc/'.$doc->getRouteKey()),
            ], 
            'status'            => trans('app.'.$doc->status),
            'created_at'        => format_date($doc->created_at),
            'updated_at'        => format_date($doc->updated_at),
        ];
    }
}